# libssh2_tunnel

    Linux libssh2 正向隧道

# build
    git clone https://git.aixiao.me/aixiao/libssh2-tunnel.git
    cd libssh2-tunnel
    make clean; make

# test
    aixiao@NIUYULING:/mnt/c/Users/niuyuling/Desktop/libssh2-tunnel$ ./forward-tunnel -h
       STunnel SSH forward tunnel
    Author: AIXIAO@AIXIAO.ME
    Version: 1.0
    Usage: [-d] [-rsplueh?]

    Options:
        -d                     : Background running
        -r                     : SSH Server IP
        -p                     : SSH Server Port (default: 22)
        -u                     : SSH Server User
        -e                     : SSH Server User Passwd
        -s                     : Remote Dest Port (default: 3306 1521)
        -l                     : Local_Listen Port
        -? -h                  : help information


    Jan  3 2024 09:18:55 Compile、link.

    aixiao@NIUYULING:/mnt/c/Users/niuyuling/Desktop/libssh2-tunnel$
    